Subject: Re: bug#17742: Acknowledgement (Support for enchant?)

From: Reuben Thomas <[email-masked]>
Date: Mon, 19 Dec 2016 12:41:53 +0000

On 19 December 2016 at 01:02, Reuben Thomas <[email-masked]> wrote:

> On 18 December 2016 at 23:39, Reuben Thomas <[email-masked]> wrote:
>
>>
>> So a reasonable definition of cache units (I will not say "words" any
>> more) might be whitespace-delimited strings. This would not need casechars,
>> not-casechars, otherchars and many-otherchars-p.
>>
>> I've put this on my to-investigate list for the future; of course, if
>> there's an obvious reason it wouldn't work, do let me know!
>>
>
> ​Basic tests using [[:alpha:]] for casechars and [^[:alpha:]] for
> not-casechars seem to work OK.
>

​I meant [[:graph:]] and [^[:graph:]].​

> ​What would be a more rigorous test? So far I just tried some
> spell-checking and use of flyspell.
>

​Also, as I realised while preparing the patch for bug#25230, it is only
hunspell that has special information about character classes. All the
others just use [:alpha:]. So if it's good enough for ispell and aspell,
can't it be good enough for enchant? (It just means that for now "direct
Hunspell" is arguably better than "Hunspell via Enchant".)

-- 
http://rrt.sc3d.org